# $Revision: 1.10 $, $Date: 2007/02/12 22:09:23 $
Summary:	XMMS - Plugin for Normalizing Volume
Summary(pl.UTF-8):	Wtyczka do XMMS-a normalizująca poziom dźwięku
Name:		xmms-effect-volnorm
Version:	0.4.1
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://download.sourceforge.net/volnorm/volnorm-%{version}.tar.gz
# Source0-md5:	8f4d19b8e45d5f51c303303858f9905a
Patch0:		%{name}-dont_check_gtk+extra.patch
URL:		http://volnorm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel >= 1.2.6
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	libtool
BuildRequires:	xmms-devel
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{xmms_effect_plugindir}

%description
This XMMS plugin changes the volume of played songs to a uniform level
such that the base volume of all songs will be the same so that you
will not need to play with the volume knob whenever a song changes.

%description -l pl.UTF-8
Wtyczka do XMMS-a normalizująca poziom głośności odgrywanych utworów.
Pozwala na odtwarzanie kazdego z plików z jednakową głośnością.

%prep
%setup -q -n volnorm-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	XMMS_PATH="/usr/bin/xmms"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT{%{_libdir}/libnormvol.la,%{_bindir}/testload}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{xmms_effect_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-effect-volnorm.spec,v $
Revision 1.10  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.8  2004/04/07 15:18:00  adamg
- release 1

Revision 1.7  2004/03/12 13:44:43  gotar
- fixed URL

Revision 1.6  2004/03/10 12:58:31  qboosh
- don't BR xmms, don't package useless testload, simplified install

Revision 1.5  2004/03/10 10:02:49  twittner
- BRs, ac/am

Revision 1.4  2004/03/10 09:34:21  jm
- ups, should be that way

Revision 1.3  2004/03/10 09:31:55  jm
- added --prefix=/usr to ./configure (%configure doesn't work), so we have 2 lines shorter specfile

Revision 1.2  2004/03/10 09:17:03  qboosh
- pl fixes

Revision 1.1  2004/03/10 06:30:15  gotar
- from Grzegorz Konopko kolodko1 wp pl
